%if %{?WITH_SELINUX:0}%{!?WITH_SELINUX:1}
%define WITH_SELINUX 0
%endif

Summary: A graphical interface for administering users and groups
Name: redhat-config-users
Version: 1.1.18
Release: 6.XOS.1
URL: http://www.redhat.com/
License: GPL
ExclusiveOS: Linux
Group: Applications/System
BuildRoot: %{_tmppath}/redhat-config-users-%{version}-root
BuildArch: noarch
Source: redhat-config-users-%{version}.tar.bz2
Patch: redhat-config-users-1.1.18-accountexpire.patch
Patch1: redhat-config-users-1.1.18-pwage.patch
Patch2: redhat-config-users-1.1.18-filedeletion.patch
Patch3: redhat-config-users-1.1.18-grouppreserve.patch
BuildRequires: desktop-file-utils
BuildRequires: gettext
Requires: libuser
Requires: python2
Requires: pygtk2
Requires: pygtk2-libglade
Requires: usermode >= 1.36
Requires: rpm-python
Requires: /usr/bin/pgrep
%if %{WITH_SELINUX}
Requires: setools
%endif
BuildPrereq: python2

%description
redhat-config-users is a graphical utility for administrating 
users and groups.  It depends on the libuser library.

%prep
%setup -q
%patch -p1 -b .accountexpire
%patch1 -p1 -b .pwage
%patch2 -p1 -b .filedeletion
%patch3 -p1 -b .grouppreserve

%build
make

%install
make INSTROOT=$RPM_BUILD_ROOT install

# Byte-compile all of the python modules.
python -c "import compileall; compileall.compile_dir(dir='$RPM_BUILD_ROOT',ddir='/')"

desktop-file-install --vendor redhat --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Base                             \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %name
find $RPM_BUILD_ROOT%{_datadir} -name "*.mo" | xargs ./utf8ify-mo

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING
%doc doc/*
/usr/bin/redhat-config-users
%dir /usr/share/redhat-config-users
/usr/share/redhat-config-users/*
#%{_mandir}/man8/redhat-config-users*
%attr(0644,root,root) %{_datadir}/applications/%{name}.desktop
%attr(0644,root,root) %config /etc/security/console.apps/redhat-config-users
%attr(0644,root,root) %config /etc/pam.d/redhat-config-users
%attr(0644,root,root) %config (noreplace) /etc/sysconfig/redhat-config-users

%changelog
* Wed Oct 05 2005 X/OS Linux Team <xoslinux@xos.nl> 1.1.18-6.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on redhat-config-users-1.1.18-6.src.rpm
  (md5sum of original source rpm: 75a0593c3e309530a8845ba48a5badd8).

* Mon May 09 2005 Nils Philippsen <nphilipp@redhat.com> 1.1.18-6
- backport: preserve existing group selection in userProperties.py (#154954)

* Wed Mar 30 2005 Nils Philippsen <nphilipp@redhat.com> 1.1.18-5
- use os.lstat() to test ownership of files to be deleted

* Wed Nov 17 2004 Nils Philippsen <nphilipp@redhat.com> 1.1.18-4
- some sanity testing to avoid deleting system directories when deleting a user
  (#138093)
- eventually delete mail spool (#102637) and temporary files (#126756)
- check for running processes of a user about to be deleted (#132902)

* Tue Nov 02 2004 Nils Philippsen <nphilipp@redhat.com> 1.1.18-3
- use libuser defaults for password aging (#130379, original patch by Dave
  Lehman)

* Wed Oct 06 2004 Nils Philippsen <nphilipp@redhat.com> 1.1.18-2
- don't lose account expiration date (#125234, #128429, patch from Josef
  Whiter)

* Tue Sep 23 2003 Brent Fox <bfox@redhat.com> 1.1.18-1
- rebuild with latest docs

* Tue Sep 16 2003 Brent Fox <bfox@redhat.com> 1.1.17-4
- bump release

* Tue Sep 16 2003 Brent Fox <bfox@redhat.com> 1.1.17-3
- turn off SELinux

* Tue Sep 16 2003 Brent Fox <bfox@redhat.com> 1.1.17-2
- bump release

* Tue Sep 16 2003 Brent Fox <bfox@redhat.com> 1.1.17-1
- if shadow passwords are not enabled, do not show certain widgets (bug #104536)
- don't modify password expiration data by accident (bug #88190)

* Thu Sep 4 2003 Dan Walsh <dwalsh@redhat.com> 1.1.16-3
- Turn off SELinux 

* Thu Sep 4 2003 Dan Walsh <dwalsh@redhat.com> 1.1.16-2.sel
- add SELinux support

* Thu Aug 14 2003 Brent Fox <bfox@redhat.com> 1.1.16-1
- clarify error dialog message (bug #101607)
- allow underscores and dashes in usernames and groupnames (bug #99115)

* Thu Aug 14 2003 Brent Fox <bfox@redhat.com> 1.1.15-1
- tag on every build

* Wed Aug 13 2003 Brent Fox <bfox@redhat.com> 1.1.14-2
- bump relnum and rebuild

* Wed Aug 13 2003 Brent Fox <bfox@redhat.com> 1.1.14-1
- use UTC instead of GMT (bug #102251)

* Wed Aug 13 2003 Brent Fox <bfox@redhat.com> 1.1.13-1
- add BuildRequires on gettext

* Wed Jul 23 2003 Brent Fox <bfox@redhat.com> 1.1.12-2
- bump relnum and rebuild

* Wed Jul 23 2003 Brent Fox <bfox@redhat.com> 1.1.12-1
- use GMT time on password last changed (bug #89759)

* Wed Jul 23 2003 Brent Fox <bfox@redhat.com> 1.1.11-2
- bump relnum and rebuild

* Wed Jul 23 2003 Brent Fox <bfox@redhat.com> 1.1.11-1
- don't create new user with an existing uid (bug #90911)
- use the messageDialog module in groupWindow.py
- don't create group with an existing gid (bug #90911)

* Fri Jul 11 2003 Brent Fox <bfox@redhat.com> 1.1.10-2
- bump relnum and rebuild

* Fri Jul 11 2003 Brent Fox <bfox@redhat.com> 1.1.10-1
- display an error if no X server is running (bug #97148)

* Mon Jun  2 2003 Brent Fox <bfox@redhat.com> 1.1.9-1
- popup a confirmation dialog when deleting groups
- popup a confirmation dialog when deleting users

* Tue May 27 2003 Brent Fox <bfox@redhat.com> 1.1.8-1
- don't require a full user name (bug #91718)

* Fri May 23 2003 Brent Fox <bfox@redhat.com> 1.1.7-1
- don't allow colons in username or homedir names (bug #90481)
- check for zero length in usernames, groupnames, gecos, and homedirs

* Thu May 22 2003 Brent Fox <bfox@redhat.com> 1.1.6-1
- change label in glade file (bug #86323)

* Mon May 19 2003 Brent Fox <bfox@redhat.com> 1.1.5-9
- create a 'users' group if a new user is getting added to a non-existing users group (bug #89895)

* Thu Apr  3 2003 Brent Fox <bfox@redhat.com> 1.1.5-8
- don't automatically delete system groups (bug #78620)

* Wed Feb 26 2003 Jeremy Katz <katzj@redhat.com> 1.1.5-7
- use rm for rmrf instead (#85175)

* Mon Feb 17 2003 Brent Fox <bfox@redhat.com> 1.1.5-6
- update desktop file (bug #84360)

* Thu Feb 13 2003 Brent Fox <bfox@redhat.com> 1.1.5-5
- make double-click launch properties box (#84231)

* Tue Feb 11 2003 Brent Fox <bfox@redhat.com> 1.1.5-4
- call self.rmrf

* Mon Feb 10 2003 Brent Fox <bfox@redhat.com> 1.1.5-3
- rebuild to pull in fix for bug #83341

* Fri Feb  7 2003 Brent Fox <bfox@redhat.com> 1.1.5-2
- fix bug #83341 for real this time

* Wed Feb  5 2003 Brent Fox <bfox@redhat.com> 1.1.5-1
- don't allow root account to be locked
- make default values for SHADOW* on user creation so we can do password aging properly later

* Tue Feb  4 2003 Brent Fox <bfox@redhat.com> 1.1.4-2
- fix bug with deleting user homeDir (bug #83341)

* Thu Jan 30 2003 Brent Fox <bfox@redhat.com> 1.1.4-1
- bump and build

* Fri Jan 24 2003 Brent Fox <bfox@redhat.com> 1.1.3-4
- better error checking for user names and group names (bug #82607)
* Thu Jan 16 2003 Brent Fox <bfox@redhat.com> 1.1.3-3
- force ascii input (bug #74058)
- make sure that groupWindow calls self.ready() after showing dialogs
- remove sentence hacks in asciiCheck.py (bug #82015)
- fix typo in about box (bug #82016)
- do not create homedir if they user doesn't want to
- only offer to delete homedirs if they actually exist  (bug #78619)
- if the user is the only member of their group, delete the group automatically (bug #78620)
* Wed Jan 15 2003 Brent Fox <bfox@redhat.com> 1.1.3-1
- don't try to delete the group if the groupEnt is None (bug #68950)
* Tue Jan 14 2003 Tammy Fox <tfox@redhat.com> 1.1.2-2
- update help with new screenshots and tweak content
* Wed Jan  8 2003 Brent Fox <bfox@redhat.com> 1.1.2-1
- ask if they want to delete the home directory
* Tue Jan  7 2003 Brent Fox <bfox@redhat.com> 1.1.1-9
- handle window delete-events correctly
- call ready() after dialog is destroyed (bug #80625)
- if a deleted user is the only user in his primary group, offer to delete the group too (bug #78620)
* Mon Dec 23 2002 Brent Fox <bfox@redhat.com> 1.1.1-6
- replace some message dialogs with calls to show_message_dialog
* Tue Dec 17 2002 Brent Fox <bfox@redhat.com> 1.1.1-5
- Do a lot of input checking on the userWindow.py and userProperties.py (bug #79246)
* Tue Nov 12 2002 Brent Fox <bfox@redhat.com> 1.1.1-4
- Rebuild with latest translations
* Thu Oct 10 2002 Brent Fox <bfox@redhat.com> 1.1.1-3
- Make the upper limit on UIDs and GIDs  (pow(2, 32)).  Fixes bug 75605
* Mon Sep 16 2002 Brent Fox <bfox@redhat.com>
- groupWindow.py, groupProperties.py, userProperties.py...desensitize when performing actions
* Fri Sep 13 2002 Brent Fox <bfox@redhat.com>
- Make the window insensitive when adding a user to prevent double clicks
* Tue Sep 10 2002 Brent Fox <bfox@redhat.com> 
- Applied patch for Norwegian translation to desktop file
* Tue Sep 03 2002 Brent Fox <bfox@redhat.com> 1.1.1-2
- Pull in latest translations
* Thu Aug 29 2002 Brent Fox <bfox@redhat.com> 1.1.1-1
- Pull in latest translations
* Thu Aug 22 2002 Dan Walsh <dwalsh@redhat.com> 1.1-16
- Fix traceback bug, caused by unitialized variable
- Fix traceback bug, caused by primary gid missing from /etc/group
* Tue Aug 20 2002 Brent Fox <bfox@redhat.com> 1.1-15
- Convert desktop file to UTF8
- Pull in new translations into desktop file
* Mon Aug 19 2002 Brent Fox <bfox@redhat.com> 1.1-14
- Apply patch from twaugh to fix bug 68778
- Change widths on account expriation widgets
* Thu Aug 15 2002 Brent Fox <bfox@redhat.com> 1.1-13
- enlarge window startup size for verbose langs
* Wed Aug 14 2002 Brent Fox <bfox@redhat.com> 1.1-12
- rebuild to pull in latest translations
* Mon Aug 12 2002 Tammy Fox <tfox@redhat.com> 1.1-11
- replace System with SystemSetup in desktop file categories
* Wed Aug 07 2002 Tammy Fox <tfox@redhat.com>
- UI tweaks
* Tue Aug 06 2002 Brent Fox <bfox@redhat.com> 1.1-10
- Increase default window size
* Tue Aug 06 2002 Brent Fox <bfox@redhat.com> 1.1-9
- fix bug 70783
* Fri Aug 02 2002 Brent Fox <bfox@redhat.com> 1.1-8
- Use new pam timestamp rules
* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 1.1-7
- Use new icons from garrett
* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 1.1-6
- Fix glade path typo
* Wed Jul 24 2002 Tammy Fox <tfox@redhat.com> 1.1-4
- Fix desktop file (bug #69488)
* Thu Jul 18 2002 Karsten Hopp <karsten@redhat.de> 1.1-3
- prepare for new pygtk2
* Sat Jul 13 2002 Brent Fox <bfox@redhat.com> 1.1-2
- Fixed bug #68639
- Make properties and delete widgets desensitized when necessary
* Fri Jul 12 2002 Tammy Fox <tfox@redhat.com>
- Updated docs
- Moved desktop file to /usr/share/applications only
* Thu Jul 11 2002 Brent Fox <bfox@redhat.com> 1.1-1
- Add a "Search Filter" label
* Fri Jun 14 2002 Brent Fox <bfox@redhat.com> 1.0.2-3
- Typo bug on my part
* Thu Jun 13 2002 Brent Fox <bfox@redhat.com> 1.0.2-1
- Use spiffy new toolbar icons
* Thu May 2 2002 Brent Fox <bfox@redhat.com> 1.0.1-7
- Update translations
* Mon Apr 22 2002 Brent Fox <bfox@redhat.com> 1.0.1-6
- Bring in the latest translations and rebuild in the latest dist
* Thu Apr 18 2002 Nalin Dahyabhai <nalin@redhat.com> 1.0.1-5
- Convert .mo files to UTF-8 at install-time, fixing #63815 correctly (probably)
* Thu Apr 18 2002 Nalin Dahyabhai <nalin@redhat.com> 1.0.1-4
- Don't bail on LookupErrors when recoding strings, just punt (#63815)
* Tue Apr 16 2002 Nalin Dahyabhai <nalin@redhat.com> 1.0.1-3
- Don't bail on IOErrors when saving preferences to /etc/sysconfig
* Tue Apr 16 2002 Brent Fox <bfox@redhat.com> 1.0.1-2
- Add set_transient_for calls to bring dialogs to the front in KDE (#61590)
* Tue Apr 16 2002 Nalin Dahyabhai <nalin@redhat.com> 1.0.1-1
- Handle cases where translations are encoded in non-UTF8 encodings (#63334)
* Mon Apr 15 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.0-14
- Update translations
* Tue Apr 09 2002 Brent Fox <bfox@redhat.com>
- Added workaround for bug 62919
* Fri Apr 05 2002 Brent Fox <bfox@redhat.com>
- Added changes to use a new icon
* Thu Mar 28 2002 Brent Fox <bfox@redhat.com>
- Finished port to Python2.2/Gtk2
* Wed Feb 27 2002 Brent Fox <bfox@redhat.com> 
- Added sortable columns
* Fri Jan 25 2002 Nalin Dahyabhai <nalin@redhat.com> 0.9.2-7
- rebuild for completeness
* Wed Aug 29 2001 Brent Fox <bfox@redhat.com>
- Fixed desktop file problem
- Nakai added Japanese support to the desktop file
* Thu Aug 9 2001 Tammy Fox <tfox@redhat.com>
- added documentation
* Thu Aug 9 2001 Nalin Dahyabhai <nalin@redhat.com>
- Attempt to minimize enumerations where possible
- Always use defined constants for attribute names
* Thu Aug 9 2001 Brent Fox <bfox@redhat.com>
- fixes for password aging
* Wed Aug  8 2001 Nalin Dahyabhai <nalin@redhat.com>
- byte-compile python modules in %%install and include them in the package
* Wed Jul 26 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add Japanese translation
* Wed Jul 26 2001  Yukihiro Nakai <ynakai@redhat.com>
- Directory restructure for i18n
* Tue Jul 10 2001 Brent Fox <bfox@redhat.com>
- some glade fixups and packaging work
* Mon Jul 09 2001 Tammy Fox <tfox@redhat.com>
- added usermode files to spec file
* Tue Jul 05 2001 Brent Fox <bfox@redhat.com>
- initial packaging
* Wed Jun 13 2001 Brent Fox <bfox@redhat.com>
- mainWindow.glade: Changed GUI per jrb's recommendations
- mainWindow.py: added interfacing with libuser backend
* Wed Jun 6 2001 Jonathan Blandford  <jrb@redhat.com>
- mainWindow.glade: Cleaned up glade file a bunch.
- mainWindow.py: modified to deal with updated glade.


